// Standard Library
#include <iostream>
#include <string>

// External Libraries
#include "tbb/tbb.h"


#ifndef PARALLEL_PRINT
#define PARALLEL_PRINT
class ParallelPrint {
public:
  static void cout(const std::string& text);
  static void cerr(const std::string& text);
private:
  typedef tbb::spin_mutex Mutex;
  static Mutex cout_mutex;
  static Mutex cerr_mutex;
};

#endif
